# Robust Free Bootstrap Admin Template

Robust admin lite is super flexible, powerful, clean & modern responsive **[free bootstrap admin template](http://pixinvent.com/)** admin template with unlimited possibilities. Robust admin lite can be used for any type of web applications: Project Management, eCommerce backends, CRM, Analytics, Fitness or any custom admin panels. It comes with 2 niche dashboards. Robust admin lite is powered with HTML 5, SASS, GRUNT, Gulp & Twitter Bootstrap 4 which looks great on Desktops, Tablets, and Mobile Devices.

## Demo

| Text direction        | URL   |
| ------------- |:-------------:|
| LTR      | https://pixinvent.com/free-bootstrap-template/robust-lite/html/ltr/ |
| RTL      | https://pixinvent.com/free-bootstrap-template/robust-lite/html/rtl/ |

[![Robust Lite Presentation](https://pixinvent.com/free-bootstrap-template/robust-lite/robust_lite.jpg "Robust Free Bootstrap Admin Template Presentation")](https://pixinvent.com/free-bootstrap-template/robust-lite/html/ltr/)
## Table of contents

- [Prerequisites](#prerequisites)
- [Installation](#installation)
- [What's included](#whats-included)
- [Documentation](#documentation)
- [Browser Support](#browser-support)
- [Contributing](#contributing)
- [Creators](#creators)
- [Change log](#change-log)
- [Credits](#credits)
- [Copyright and license](#copyright-and-license)

## Looking for more features ? Upgrade To Premium

[![Robust Premium Presentation](https://pixinvent.com/free-bootstrap-template/robust-lite/robust_premium.jpg "Robust Premium Presentation")](https://pixinvent.com/bootstrap-admin-template/robust/)

|Robust Lite Features|Robust Pro Features|
|--- | --- |
|[DEMO](https://pixinvent.com/free-bootstrap-template/robust-lite/html/ltr/) | [DEMO](https://pixinvent.com/bootstrap-admin-template/robust/) |
|[Download](https://pixinvent.com/bootstrap-admin-template/robust/) | [Purchase](https://themeforest.net/item/robust-responsive-bootstrap-4-admin-template-build-system/19297560?ref=pixinvent&license=regular&open_purchase_for_item_id=19297560&purchasable=source) |
|Single Menu Template|7 Unique Menu Templates with starter kits|
|-|**Jade Template Builder**|
||Built in starter-kits for all layouts|
|100+ UI Components & 90+ Pages |2000+ UI Components & 2500+ Pages|
|RTL Support |Internationalization & RTL Support|
|2 Simple Dashboards| 5 Niche Dashboards|
|24 Color Schemes|24 Color Schemes|
|-|Multiple Navbar & Menu Options|
|-| Header & Footer Customizations|
|Bootstrap tables| Bootstrap, DataTables, Handson Tables & JSGrid|
|-|Code Editors|
|-| Date & Time Pickers|
|-| jQuery UI Elements|
|Bootstrap Card| Bootstrap Card & Advance Card UI Cards|
|-| File Uploaders|
|-| Event Calendars|
|-| 10 Chart Libraries|
|-|7 Built-in web applications|
|Regular Support| **Incredible Support**|
|-| **Walkthrough Videos**|
|-| **Delightful Documentation**|

## Looking For Premium Templates ??

Look no further, **[DMARTIFY](http://dmartify.com/)** is the best market place to buy or sell website templates starting from just $2.
If you are looking for more templates like robust lite, please visit **[PIXINVENT](https://pixivnent.com/)**.

## Prerequisites

Node JS must be installed on your system to run grunt / gulp template generation and dist commands.
You can download and install nodejs from this URL: https://nodejs.org/en/

## Installation

**1. Download:**
Download from Github or visit **[Pixinvent Creative Studio](https://pixivnent.com/)** and download the latest release.

**2. Github**
- Fork the repository ([here is the guide](https://help.github.com/articles/fork-a-repo/)).
- Clone to your machine
```
git clone https://github.com/YOUR_USERNAME/robust-free-bootstrap-admin-template.git
```

### Grunt
- IF you are using grunt, you can direcly use package.json file.
- Run npm install command to install required node modules

```
npm install
```

**Running Grunt Dist Commands**

Task | Command | Description
--- | --- | ---
Dist|`grunt dist`|To clean css, js and build distributable css and js files
Clean|`grunt dist-clean`|To clean css, js files
Build JS | `grunt dist-js` |To clean js files and build distributable js files
Compile SCSS|`grunt sass-compile`|Compile scss files
Build CSS|`grunt dist-css`|To clean css files and build distributable css files


### Gulp
- IF you are using gulp, copy and paste package.gulp.json file in the root folder and rename it to package.json.
- Run npm install command to install required node modules

```
npm install
```

**Running Gulp Dist Commands**

Task | Command | Description
--- | --- | ---
Dist|`gulp dist`|To clean css, js and build distributable css and js files
Clean | `gulp dist-clean`|To clean css, js files
Build JS | `gulp dist-js` |To clean js files and build distributable js files
Compile SCSS | `gulp sass-compile` | Compile scss files
Build CSS | `gulp dist-css` |To clean css files and build distributable css files

## What's included

Below is the Robust Admin Lite folder structure. Within the download you'll find the following directories and files, logically grouping common assets and providing both compiled and minified variations. You'll see something like this:
```
robust-admin-lite
├── app-assets
|   ├── css
|   ├── css-rtl
|   ├── data
|   ├── fonts
|   ├── images
|   ├── js
|   ├── vendors
|   |   ├── css
|   |   ├── js
├── assets
|   ├── css
|   ├── js
|   └── scss
├── grunt-tasks
├── gulp-tasks
├── html
|   ├── ltr
|   └── rtl
├── src
|   ├── js
|   ├── scss
├── Gruntfile.js (grunt tasks)
├── gulpfile.js (gulp tasks)
├── README.md
├── CHANGELOG.md
├── package.gulp.json (gulp package json)
└── package.json (grunt package json)
```

## Documentation

Visit the online [documentation](https://pixinvent.com/free-bootstrap-template/robust-lite/documentation/)  for the most updated guide.

## Browser Support

Robust [Free Bootstrap Admin Template](https://pixinvent.com/) is built to work best in the latest desktop and mobile and tablet browsers,

- Chrome (latest)
- FireFox (latest)
- Safari (latest)
- Opera (latest)
- IE10+


## Contributing

Contribution are always welcome and recommended! Here is how:


- Fork the repository ([here is the guide](https://help.github.com/articles/fork-a-repo/)).
- Clone to your machine ```git clone https://github.com/YOUR_USERNAME/robust-free-bootstrap-admin-template.git```
- Make your changes
- Create a pull request

#### Contribution Requirements:

- When you contribute, you agree to give a non-exclusive license to Pixinvent Creative Studio to use that contribution in any context as we (Pixinvent Creative Studio) see appropriate.
- If you use content provided by another party, it must be appropriately licensed using an [open source](http://opensource.org/licenses) license.
- Contributions are only accepted through Github pull requests.
- Finally, contributed code must work in all supported browsers (see above for browser support).

## Creators

* **Pixinvent Creative Studio** - *Initial work* - [Pixinvent Creative Studio](https://pixinvent.com)

## Change log

**For the most recent change log, visit the [releases page](https://github.com/pixinvent/robust-free-bootstrap-admin-template/releases) or the [changelog file](https://github.com/pixinvent/robust-free-bootstrap-admin-template/blob/master/changelog.md).** 
We will add a detailed release notes to each new release.

## Credits

* [Graphicburger](http://graphicburger.com/)

* [Stocksnap](https://stocksnap.io/)

* [Pixabay](https://pixabay.com/)

* [Unsplash](https://unsplash.com/)

* [Picjumbo](https://picjumbo.com/)

## Copyright and license

Robust Free Bootstrap Admin Template is an open source project by [Pixinvent Creative Studio](https://pixinvent.com) that is licensed under [MIT](http://opensource.org/licenses/MIT). Pixinvent Creative Studio reserves the right to change the license of future releases.
