<!DOCTYPE html>
<html>
<head>
    <title>PHP Time Counter</title>
    <!-- Include Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="container mt-5">
        <div class="jumbotron text-center">
            <h1 class="display-4">Time Counter</h1>
            <p class="lead">Current time: <span id="current-time"></span></p>
        </div>
    </div>

    <!-- Include Bootstrap JS and jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- JavaScript for updating the time -->
    <script>
        function updateClock() {
            var currentTime = new Date();
            var hours = currentTime.getHours();
            var minutes = currentTime.getMinutes();
            var seconds = currentTime.getSeconds();
            var timeString = hours + ":" + minutes + ":" + seconds;
            document.getElementById("current-time").innerHTML = timeString;
        }

        // Update the time every second
        setInterval(updateClock, 1000);
    </script>
</body>
</html>
In this code:

We include the necessary Bootstrap CSS and JS from a CDN for styling.
Inside the HTML, we have a Bootstrap-styled jumbotron to display the current time. The time is initially empty and will be updated via JavaScript.
We include Bootstrap's JavaScript, jQuery, and add a custom JavaScript function updateClock() to update the time.
setInterval(updateClock, 1000) is used to call updateClock() every second (1000 milliseconds), effectively updating the time counter in real-time.
This simple example will display the current time and update it every second. You can further customize the styling and layout to match your design preferences.





